<TacticalQuery.SearchForCoverToApproachTarget __id="8d4a8c64-9006-449f-b70f-8813a2a25318" __path="libs/foundry/records/tacticalquery/tpsqueries/sharedqueries/tpsquery.searchforcovertoapproachtarget.xml" __type="TacticalQuery" name="SearchForCoverToApproachTarget" type="TacticalPointQuery">
  <options>
    <TQSEmbeddedOption __type="TQSOption" __polymorphicType="TQSEmbeddedOption">
      <content __type="TQSOptionContent">
        <conditions>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="hasShootingPosture_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="towards_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="max_heightRelative_from_puppet" value="2.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_puppet" value="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_attentionTarget" value="4.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_heightRelative_from_puppet" value="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_hostilesDistance" value="5.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_friendlyDistance" value="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </conditions>
        <generation>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="cover_from_attentionTarget_around_puppet" value="10.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </generation>
        <parameters />
        <weights>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_puppet" weight="-0.800000011920929">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_attentionTarget" weight="-0.20000000298023224">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
        </weights>
      </content>
      <optionOverrides />
      <requirements __type="TagsDNF">
        <terms />
      </requirements>
    </TQSEmbeddedOption>
    <TQSEmbeddedOption __type="TQSOption" __polymorphicType="TQSEmbeddedOption">
      <content __type="TQSOptionContent">
        <conditions>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_puppet" value="10.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="max_heightRelative_from_puppet" value="2.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="towards_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="hasShootingPosture_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_attentionTarget" value="4.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_heightRelative_from_puppet" value="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_hostilesDistance" value="5.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_friendlyDistance" value="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </conditions>
        <generation>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="cover_from_attentionTarget_around_puppet" value="25.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </generation>
        <parameters />
        <weights>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_puppet" weight="-0.800000011920929">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_attentionTarget" weight="-0.20000000298023224">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
        </weights>
      </content>
      <optionOverrides />
      <requirements __type="TagsDNF">
        <terms />
      </requirements>
    </TQSEmbeddedOption>
  </options>
</TacticalQuery.SearchForCoverToApproachTarget>